Package org.eclipse.ui.navigator

## Interface ICommonContentExtensionSite

    public interface ICommonContentExtensionSite

Provides initialization data for a content extension. Supplied in the `init()` methods of various interfaces allowed by the framework.

Since:
  3.2
See Also:
  `ICommonLabelProvider`, `ICommonContentProvider`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`INavigatorContentExtension` `getExtension()`
`IExtensionStateModel` `getExtensionStateModel()` The extension state model allows an extension to isolate all of the dynamic state information that affects how it presents content or displays actions.
`IMemento` `getMemento()` Advanced extensions may expose user-customizeable properties that affect the structure or behavior of the extension.
`INavigatorContentService` `getService()`

### Method Detail

#### getExtensionStateModel

    IExtensionStateModel getExtensionStateModel()

The extension state model allows an extension to isolate all of the dynamic state information that affects how it presents content or displays actions. Clients may use this state model to drive values from actions that will cause label or content providers to change their behavior.

Returns:
  The state model associated with this logical extension.

#### getMemento

    IMemento getMemento()

Advanced extensions may expose user-customizeable properties that affect the structure or behavior of the extension. Clients may use the given memento to restore or persist these settings between sessions.

Returns:
  A memento which can be used to restore or persist settings between workbench sessions.

#### getExtension

    INavigatorContentExtension getExtension()

Returns:
  The extension instance. Clients may use their extension instance to get access to other components defined by the logical extension.

#### getService

    INavigatorContentService getService()

Returns:
  The content service associated with this extension site.
Since:
  3.3